/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/ordersheets/acknowledgement2609170000訂單狀態變更為準備中
簡介
訂單狀態變更為準備中
詳細內容
API 適用的买方用户區域:韓國、台灣
將訂單狀態從「付款完成」變更為「商品準備中」。如果在請求狀態變更的訂單中有取消 的商品,則傳回部分錯誤(Partial Error)。
※如果訂單中包含正在透過取消全部或部分付款而進行的退款的商品時,則該訂單將返回「無法更改配送狀態,請查看訂單歷史記錄。」的訊息。
退款完成時,包含其它未申請取消商品的訂單可以更改為「商品準備中」。
僅適用於付款完成階段的合併配送號碼(shippingBoxIds)。
如果合併配送號碼(shippingBoxIds)清單資料很多,可能會出現逾時錯誤,因此請求須少於50件,或僅要求單件。
<注意! > 因為顧客可能在付款完成時更改收貨地址,因此一定要在「商品準備中「狀態之後,透過單件查詢訂單來確認收貨地址資訊是否發生變化,若有變化,須進行相應更新。
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/ordersheets/acknowledgementPath 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 賣家ID 酷澎分配給賣家的固有代碼 e.g. A00123ABC |
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 賣家ID 酷澎分配給賣家的固有代碼 e.g. A00123ABC |
| shipmentBoxIds* | object[] | 若要變更為「商品準備中」狀態的捆綁配送號碼列表 最多請求50 件 |
回應內容
回應訊息
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | string | 伺服器回應代碼
| ||||||||||
| message | string | 伺服器回應資訊
| ||||||||||
| data | object | Ordersheet狀態變更api呼叫結果物件
| ||||||||||
| responseKey data.responseKey | integer | Request的區分值 系統元數據 | ||||||||||
| responseCode data.responseCode | integer | request所有結果值的狀態碼
| ||||||||||
| responseMessage data.responseMessage | string | request所有結果值的狀態資訊
| ||||||||||
| responseList data.responseList | object[] | 單件的結果組
| ||||||||||
| shipmentBoxId data.responseList[].shipmentBoxId | integer | 捆綁配送號碼
| ||||||||||
| succeed data.responseList[].succeed | boolean | 成功與否
| ||||||||||
| resultCode data.responseList[].resultCode | string | 結果代碼
| ||||||||||
| retryRequired data.responseList[].retryRequired | boolean | 是否可以Retry
| ||||||||||
| resultMessage data.responseList[].resultMessage | string | 結果資訊
|
Response Example
{
"code": "200",
"message": "OK",
"data": {
"responseKey": -7326489997410940000,
"responseCode": 1,
"responseMessage": "apply instructStatus result - Partial errors.",
"responseList": [
{
"shipmentBoxId": 123456789012345680,
"succeed": true,
"resultCode": "OK",
"retryRequired": false,
"resultMessage": "request succeeded."
},
{
"shipmentBoxId": 123456789012345680,
"succeed": false,
"resultCode": "NOT_FOUND_SHIPMENT_BOX",
"retryRequired": true,
"resultMessage": "shipmentBoxId (123456789012345679) is not found."
}
]
}
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 500 | 500 (sever error) | "code":500, "message" : "com.coupang.apigateway.pylon.ApiPreconditionException: Timeout waiting for connection from pool" | 由於內部系統負載增加而導致的臨時錯誤。稍後請重試。 |
| 504 | 504 (sever error) | "code" : "ERROR", "message" : "請求逾時,如果情況繼續考慮使用逾時擴充." | 由於內部系統負載增加而導致的臨時錯誤。透過單筆訂單查詢API查看訂單狀態是否已轉換為商品準備中,如果沒有變更,請稍後重試。 |
| 521 | 521 (sever error) | "code" : "ERROR", "message" : "connection timed out: aws-openapi.coupang.net/10.211.51.172:80" | 由於內部系統負載增加而導致的臨時錯誤。透過單筆訂單查詢API查看訂單狀態是否已轉換為商品準備中,如果沒有變更,請稍後重試。 |